commit: 108a128fa000a61e535fdcf7845332cf8c14c44c
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 20 03:05:07 2017 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 16:49:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=108a128f
dev-lang/php: new security releases for all three series.
In addition to the version bumps, the (unused, hopefully) libtool
eclass was dropped from the php-5.6.30 and php-7.0.15 ebuilds
Upstream merged a fix for heimdal detection, allowing us to drop that
workaround from src_prepare. After the heimdal workaround was removed,
it then made sense to drop the autotools eclass entirely. That means
no more custom branding in the 7.0 series, but we are essentially a
vanilla upstream PHP at this point.
Gentoo-Bug: 597448
Gentoo-Bug: 597450
Package-Manager: portage-2.3.0
dev-lang/php/Manifest | 5 +-
.../{php-7.0.14-r1.ebuild => php-5.6.30.ebuild} | 76 +++++++++++++---------
.../{php-7.0.14-r1.ebuild => php-7.0.15.ebuild} | 30 +--------
.../php/{php-7.1.0-r3.ebuild => php-7.1.1.ebuild} | 0
4 files changed, 49 insertions(+), 62 deletions(-)
diff --git a/dev-lang/php/Manifest b/dev-lang/php/Manifest
index 43ddb00..82b61fc 100644
--- a/dev-lang/php/Manifest
+++ b/dev-lang/php/Manifest
@@ -1,3 +1,4 @@
DIST php-5.6.29.tar.xz 12444988 SHA256
0ff352a433f73e2c82b0d5b283b600402518569bf72a74e247f356dacbf322a7 SHA512
cb0d5eee5e705da270650439075ecacc8c3edc4f198ff96fb5ae6d63e999d5dbf65d3e45e52cd3e65f808a9ab91212a9ac5234d44a92daae683b8191d2b59619
WHIRLPOOL
28887945283a418d9b54378387927585a0d38718dabd650a999c3353315f428c0a46856097f056594f79f0ef7da10446a0fcb96762f4335d2afe8242f693370a
-DIST php-7.0.14.tar.xz 12534712 SHA256
0f1dff6392a1cc2ed126b9695f580a2ed77eb09d2c23b41cabfb41e6f27a8c89 SHA512
321d07c89873fadcf5a4edf38323cd9e350fb06f9954a16ea2e1b9341590f1047b78d69818d80b376cd8e9f92ed9c3132b79bd5832a3ded99b78d87c291fb9a5
WHIRLPOOL
8283f14e02c763974cc5b9c24cca475030cbfaba8bb667d5e81b41ba9e2de42afd2364c586afbfc688bad03cd3b8de1399036064b8500a5afe614114fcbbe989
-DIST php-7.1.0.tar.xz 12793836 SHA256
a810b3f29c21407c24caa88f50649320d20ba6892ae1923132598b8a0ca145b6 SHA512
bb031fa008cb90475e71df5d48abb4f73660dbd94cb3fa6c768ceb1d3c51ae34a5a1f901758825877ea7e61aa9983bdcb05ad5ad51087a1f17f65cac0bb4d229
WHIRLPOOL
b7c0dfb6a71aac07e44c0dd4b4b34b23aa96ffa14501671efcc1372b6b448c12ee6aee69d94c71112cc54e6c4b9ce8d787eaeb0f4010d8967c1fa4439ec82b82
+DIST php-5.6.30.tar.xz 12449696 SHA256
a363185c786432f75e3c7ff956b49c3369c3f6906a6b10459f8d1ddc22f70805 SHA512
fdf503925c236a79cc09bc9e5c06ce5afa7497ccf20ab486389b818a7d84db1b84ac119523b35586f64fff7d198b6c20164910fbf33254b35ec2f41015d9feef
WHIRLPOOL
d3217dfd3de0a2b2f178f1b869d2e0fa39128c4518deaf20f6f79d81a938f3730bf4cfb1cc19ddd55797a9e43a2ebad76555ae08004cefbf2430fc6916c49bd3
+DIST php-7.0.15.tar.xz 12575116 SHA256
300364d57fc4a6176ff7d52d390ee870ab6e30df121026649f8e7e0b9657fe93 SHA512
1d233edb908f44fb895184dbfdfd5684d52e4c831dc3e8184b3e645137e6f44bdc7abd16ceaf2249b9288cf1f1893b7dcca955c6e1c3a6b4afbe03cec2a85033
WHIRLPOOL
4ac7bf2521eb242204fcd9e231a53d06879b16e47928c6cdf9e04c2f16b25b880b16378c0d9425b3c1a183127dce062f3905eb3dd0a6cd196f3decb9304e2b7a
+DIST php-7.1.1.tar.xz 12766648 SHA256
b3565b0c1441064eba204821608df1ec7367abff881286898d900c2c2a5ffe70 SHA512
2155eee2f4001d7fb6bdc26f1491bc388ad18375530ec289a8894e46fbc77137bbc285f266c3fbc64d7484e278b08f3c9fd5e7a7408d2e535bbc10c58468353e
WHIRLPOOL
5bad9313318c09f23546f64d530b7918e8a530e649f4554080291dc622db7a614e2bb2c1617a33014162832ea20deea4d7fa4fd8b7b1418091cc5193f7446feb
diff --git a/dev-lang/php/php-7.0.14-r1.ebuild b/dev-lang/php/php-5.6.30.ebuild
similarity index 93%
copy from dev-lang/php/php-7.0.14-r1.ebuild
copy to dev-lang/php/php-5.6.30.ebuild
index 718a517..1933204 100644
--- a/dev-lang/php/php-7.0.14-r1.ebuild
+++ b/dev-lang/php/php-5.6.30.ebuild
@@ -4,7 +4,7 @@
EAPI=6
-inherit autotools flag-o-matic versionator libtool systemd
+inherit autotools flag-o-matic versionator systemd
DESCRIPTION="The PHP language runtime engine"
HOMEPAGE="http://php.net/"
@@ -22,7 +22,7 @@ SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos"
# We can build the following SAPIs in the given order
-SAPIS="embed cli cgi fpm apache2 phpdbg"
+SAPIS="embed cli cgi fpm apache2"
# SAPIs and SAPI-specific USE flags (cli SAPI is default on):
IUSE="${IUSE}
@@ -34,11 +34,11 @@ IUSE="${IUSE} acl bcmath berkdb bzip2 calendar cdb cjk
enchant exif +fileinfo +filter firebird
flatfile ftp gd gdbm gmp +hash +iconv imap inifile
intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit libressl
- mhash mssql mysql mysqli nls
+ mhash mssql mysql libmysqlclient mysqli nls
oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm
readline recode selinux +session sharedmem
+simplexml snmp soap sockets spell sqlite ssl
- sysvipc systemd tidy +tokenizer truetype unicode wddx webp
+ sybase-ct sysvipc systemd tidy +tokenizer truetype unicode vpx wddx
+xml xmlreader xmlwriter xmlrpc xpm xslt zip zlib"
# The supported (that is, autodetected) versions of BDB are listed in
@@ -85,6 +85,10 @@ COMMON_DEPEND="
ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 )
libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) )
mssql? ( dev-db/freetds[mssql] )
+ libmysqlclient? (
+ mysql? ( virtual/libmysqlclient:= )
+ mysqli? ( virtual/libmysqlclient:= )
+ )
nls? ( sys-devel/gettext )
oci8-instant-client? ( dev-db/oracle-instantclient-basic )
odbc? ( >=dev-db/unixODBC-1.8.13 )
@@ -99,18 +103,20 @@ COMMON_DEPEND="
spell? ( >=app-text/aspell-0.50 )
sqlite? ( >=dev-db/sqlite-3.7.6.3 )
ssl? (
- !libressl? ( dev-libs/openssl:0 )
+ !libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl )
)
+ sybase-ct? ( dev-db/freetds )
tidy? ( app-text/htmltidy )
truetype? (
=media-libs/freetype-2*
+ >=media-libs/t1lib-5.0.0
!gd? (
virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib )
)
unicode? ( dev-libs/oniguruma )
+ vpx? ( media-libs/libvpx )
wddx? ( >=dev-libs/libxml2-2.6.8 )
- webp? ( media-libs/libwebp )
xml? ( >=dev-libs/libxml2-2.6.8 )
xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv )
xmlreader? ( >=dev-libs/libxml2-2.6.8 )
@@ -142,9 +148,10 @@ DEPEND="${COMMON_DEPEND}
REQUIRED_USE="
cli? ( ^^ ( readline libedit ) )
truetype? ( gd )
- webp? ( gd )
+ vpx? ( gd )
cjk? ( gd )
exif? ( gd )
+
xpm? ( gd )
gd? ( zlib )
simplexml? ( xml )
@@ -156,12 +163,18 @@ REQUIRED_USE="
ldap-sasl? ( ldap )
mhash? ( hash )
phar? ( hash )
+ libmysqlclient? ( || (
+ mysql
+ mysqli
+ pdo
+ ) )
+
qdbm? ( !gdbm )
readline? ( !libedit )
- recode? ( !imap !mysqli )
+ recode? ( !imap !mysql !mysqli )
sharedmem? ( !threads )
- mysql? ( || ( mysqli pdo ) )
- || ( cli cgi fpm apache2 embed phpdbg )"
+
+ !cli? ( !cgi? ( !fpm? ( !apache2? ( !embed? ( cli ) ) ) ) )"
PHP_MV="$(get_major_version)"
@@ -210,11 +223,9 @@ php_install_ini() {
# SAPI-specific handling
if [[ "${sapi}" == "fpm" ]] ; then
- einfo "Installing FPM config files php-fpm.conf and www.conf"
+ einfo "Installing FPM config file php-fpm.conf"
insinto "${PHP_INI_DIR#${EPREFIX}}"
doins sapi/fpm/php-fpm.conf
- insinto "${PHP_INI_DIR#${EPREFIX}}/fpm.d"
- doins sapi/fpm/www.conf
fi
dodoc php.ini-development
@@ -228,6 +239,8 @@ php_set_ini_dir() {
}
src_prepare() {
+ eapply "${FILESDIR}/php-${SLOT}-no-bison-warnings.patch"
+
# Change PHP branding
# Get the alpha/beta/rc version
sed -re "s|^(PHP_EXTRA_VERSION=\").*(\")|\1-pl${PR/r/}-gentoo\2|g" \
@@ -237,6 +250,14 @@ src_prepare() {
sed -e 's/PHP_UNAME=`uname -a | xargs`/PHP_UNAME=`uname -s -n -r -v |
xargs`/g' \
-i configure.in || die "Failed to fix server platform name"
+ # Prevent PHP from activating the Apache config,
+ # as we will do that ourselves
+ sed -i \
+ -e "s,-i -a -n php${PHP_MV},-i -n php${PHP_MV},g" \
+ -e "s,-i -A -n php${PHP_MV},-i -n php${PHP_MV},g" \
+ configure sapi/apache2filter/config.m4
sapi/apache2handler/config.m4 \
+ || die
+
# Patch PHP to support heimdal instead of mit-krb5
if has_version "app-crypt/heimdal" ; then
sed -e 's|gssapi_krb5|gssapi|g' -i acinclude.m4 \
@@ -255,16 +276,6 @@ src_prepare() {
# http://bugs.php.net/bug.php?id=48795, bug #343481
sed -i -e '/BUILD_CGI="\\$(CC)/s/CC/CXX/' configure || die
fi
-
- # In php-7.x, the FPM pool configuration files have been split off
- # of the main config. By default the pool config files go in
- # e.g. /etc/php-fpm.d, which isn't slotted. So here we move the
- # include directory to a subdirectory "fpm.d" of $PHP_INI_DIR. Later
- # we'll install the pool configuration file "www.conf" there.
- php_set_ini_dir fpm
- sed -i "s~^include=.*$~include=${PHP_INI_DIR}/fpm.d/*.conf~" \
- sapi/fpm/php-fpm.conf.in \
- || die 'failed to move the include directory in php-fpm.conf'
}
src_configure() {
@@ -314,6 +325,7 @@ src_configure() {
$(use_with xml libxml-dir "${EPREFIX}/usr")
$(use_enable unicode mbstring)
$(use_with crypt mcrypt "${EPREFIX}/usr")
+ $(use_with mssql mssql "${EPREFIX}/usr")
$(use_with unicode onig "${EPREFIX}/usr")
$(use_with ssl openssl "${EPREFIX}/usr")
$(use_with ssl openssl-dir "${EPREFIX}/usr")
@@ -331,6 +343,7 @@ src_configure() {
$(use_enable soap soap)
$(use_enable sockets sockets)
$(use_with sqlite sqlite3 "${EPREFIX}/usr")
+ $(use_with sybase-ct sybase-ct "${EPREFIX}/usr")
$(use_enable sysvipc sysvmsg)
$(use_enable sysvipc sysvsem)
$(use_enable sysvipc sysvshm)
@@ -367,14 +380,13 @@ src_configure() {
# Support for the GD graphics library
our_conf+=(
$(use_with truetype freetype-dir "${EPREFIX}/usr")
+ $(use_with truetype t1lib "${EPREFIX}/usr")
$(use_enable cjk gd-jis-conv)
$(use_with gd jpeg-dir "${EPREFIX}/usr")
$(use_with gd png-dir "${EPREFIX}/usr")
$(use_with xpm xpm-dir "${EPREFIX}/usr")
+ $(use_with vpx vpx-dir "${EPREFIX}/usr")
)
- if use webp; then
- our_conf+=( --with-webp-dir="${EPREFIX}/usr" )
- fi
# enable gd last, so configure can pick up the previous settings
our_conf+=( $(use_with gd gd) )
@@ -400,7 +412,10 @@ src_configure() {
# MySQL support
local mysqllib="mysqlnd"
local mysqlilib="mysqlnd"
+ use libmysqlclient && mysqllib="${EPREFIX}/usr"
+ use libmysqlclient && mysqlilib="${EPREFIX}/usr/bin/mysql_config"
+ our_conf+=( $(use_with mysql mysql "${mysqllib}") )
our_conf+=( $(use_with mysqli mysqli "${mysqlilib}") )
local mysqlsock="${EPREFIX}/var/run/mysqld/mysqld.sock"
@@ -420,7 +435,7 @@ src_configure() {
# PDO support
if use pdo ; then
our_conf+=(
- $(use_with mssql pdo-dblib "${EPREFIX}/usr")
+ $(use_with mssql pdo-dblib)
$(use_with mysql pdo-mysql "${mysqllib}")
$(use_with postgres pdo-pgsql)
$(use_with sqlite pdo-sqlite "${EPREFIX}/usr")
@@ -484,7 +499,7 @@ src_configure() {
for sapi in $SAPIS ; do
case "$sapi" in
- cli|cgi|embed|fpm|phpdbg)
+ cli|cgi|embed|fpm)
if [[ "${one_sapi}" == "${sapi}" ]] ;
then
sapi_conf+=( "--enable-${sapi}"
)
else
@@ -565,7 +580,7 @@ src_install() {
# We're specifically not using emake
install-sapi as libtool
# may cause unnecessary relink failures (see
bug #351266)
insinto "${PHP_DESTDIR#${EPREFIX}}/apache2/"
- newins ".libs/libphp${PHP_MV}$(get_libname)" \
+ newins ".libs/libphp5$(get_libname)" \
"libphp${PHP_MV}$(get_libname)"
keepdir "/usr/$(get_libdir)/apache2/modules"
else
@@ -585,9 +600,6 @@ src_install() {
embed)
source="libs/libphp${PHP_MV}$(get_libname)"
;;
- phpdbg)
- source="sapi/phpdbg/phpdbg"
- ;;
*)
die "unhandled sapi in
src_install"
;;
diff --git a/dev-lang/php/php-7.0.14-r1.ebuild b/dev-lang/php/php-7.0.15.ebuild
similarity index 95%
rename from dev-lang/php/php-7.0.14-r1.ebuild
rename to dev-lang/php/php-7.0.15.ebuild
index 718a517..5a7b80a 100644
--- a/dev-lang/php/php-7.0.14-r1.ebuild
+++ b/dev-lang/php/php-7.0.15.ebuild
@@ -4,7 +4,7 @@
EAPI=6
-inherit autotools flag-o-matic versionator libtool systemd
+inherit flag-o-matic versionator systemd
DESCRIPTION="The PHP language runtime engine"
HOMEPAGE="http://php.net/"
@@ -228,33 +228,7 @@ php_set_ini_dir() {
}
src_prepare() {
- # Change PHP branding
- # Get the alpha/beta/rc version
- sed -re "s|^(PHP_EXTRA_VERSION=\").*(\")|\1-pl${PR/r/}-gentoo\2|g" \
- -i configure.in || die "Unable to change PHP branding"
-
- # Patch PHP to show Gentoo as the server platform
- sed -e 's/PHP_UNAME=`uname -a | xargs`/PHP_UNAME=`uname -s -n -r -v |
xargs`/g' \
- -i configure.in || die "Failed to fix server platform name"
-
- # Patch PHP to support heimdal instead of mit-krb5
- if has_version "app-crypt/heimdal" ; then
- sed -e 's|gssapi_krb5|gssapi|g' -i acinclude.m4 \
- || die "Failed to fix heimdal libname"
- sed -e 's|PHP_ADD_LIBRARY(k5crypto, 1, $1)||g' -i acinclude.m4 \
- || die "Failed to fix heimdal crypt library reference"
- fi
-
- eapply_user
-
- # Force rebuilding aclocal.m4
- rm -f aclocal.m4 || die "failed to remove aclocal.m4 in src_prepare"
- eautoreconf
-
- if [[ ${CHOST} == *-darwin* ]] ; then
- # http://bugs.php.net/bug.php?id=48795, bug #343481
- sed -i -e '/BUILD_CGI="\\$(CC)/s/CC/CXX/' configure || die
- fi
+ default
# In php-7.x, the FPM pool configuration files have been split off
# of the main config. By default the pool config files go in
diff --git a/dev-lang/php/php-7.1.0-r3.ebuild b/dev-lang/php/php-7.1.1.ebuild
similarity index 100%
rename from dev-lang/php/php-7.1.0-r3.ebuild
rename to dev-lang/php/php-7.1.1.ebuild